Bug 218611 - Evolution crashes when attempting to disable IMAP account in RHEL 5 Beta 2
Evolution crashes when attempting to disable IMAP account in RHEL 5 Beta 2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 09:13 EST by Clifford Perry
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 22:24:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a patch (606 bytes, patch)
2006-12-12 09:45 EST, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Clifford Perry 2006-12-06 09:13:38 EST
Description of problem:
This system was running RHEL 4 and upgraded to RHEL 5 Beta 2 Client. 

Everything within Evolution seems to be working great except for one item, which
use to work fine in the RHEL 4 version, but now causes evolution to crash every
time I attempt to do this function of Evolution. 




Version-Release number of selected component (if applicable):
[root@cperry network-scripts]# rpm -qa | grep -i evol
evolution-data-server-1.8.0-13.el5
evolution-2.8.0-11.el5
evolution-webcal-2.7.1-6
[root@cperry network-scripts]# 


How reproducible:
Every time

Steps to Reproduce:
1. Have a single account setup in evolution, which is off type IMAP
2. Go to Edit -> Preferences - it shows Mail Accounts by default
3. Attempt to click on the check mark next to my account:
Enabled Account name Protocol
'checked' cperry at redhat.com [Default]  imap
  
Actual results:
Gnome bug reporting tool pops up due to application crash, it shows error/stack
to be:

Distribution: Red Hat Enterprise Linux Client release 4.92 (Tikanga)
Gnome Release: 2.16.0 2006-09-04 (Red Hat, Inc)
BugBuddy Version: 2.16.0

Memory status: size: 250548224 vsize: 0 resident: 250548224 share: 0 rss:
86401024 rss_rlim: 0
CPU usage: start_time: 1165407222 rtime: 0 utime: 6387 stime: 0 cutime:5983
cstime: 0 timeout: 404 it_real_value: 0 frequency: 5

Backtrace was generated from '/usr/bin/evolution'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208890944 (LWP 3099)]
[New Thread -1379259504 (LWP 6147)]
[New Thread -1378993264 (LWP 6105)]
[New Thread -1312650352 (LWP 3190)]
[New Thread -1302160496 (LWP 3178)]
[New Thread -1266693232 (LWP 3162)]
[New Thread -1256203376 (LWP 3152)]
[New Thread -1245316208 (LWP 3150)]
[New Thread -1234826352 (LWP 3146)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x0077c402 in __kernel_vsyscall ()
#0  0x0077c402 in __kernel_vsyscall ()
#1  0x00669cbb in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x028a0cf6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  0x0805d9c9 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#4  <signal handler called>
#5  0x030d5444 in camel_folder_summary_content_info_free ()
   from /usr/lib/libcamel-provider-1.2.so.8
#6  0x030d5723 in camel_message_info_free ()
   from /usr/lib/libcamel-provider-1.2.so.8
#7  0x030fde60 in camel_vee_store_new ()
   from /usr/lib/libcamel-provider-1.2.so.8
#8  0x030d5701 in camel_message_info_free ()
   from /usr/lib/libcamel-provider-1.2.so.8
#9  0x030d6b11 in camel_folder_summary_clear ()
   from /usr/lib/libcamel-provider-1.2.so.8
#10 0x030d8e52 in camel_folder_summary_new ()
   from /usr/lib/libcamel-provider-1.2.so.8
#11 0x030140a2 in camel_object_unref () from /usr/lib/libcamel-1.2.so.0
#12 0x030ddb52 in camel_folder_construct ()
   from /usr/lib/libcamel-provider-1.2.so.8
#13 0x030140a2 in camel_object_unref () from /usr/lib/libcamel-1.2.so.0
#14 0x05c2804f in mail_component_get_type ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
#15 0x05c29208 in mail_component_remove_store ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
#16 0x05c292f6 in mail_component_remove_store_by_uri ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
#17 0x05be3f2c in em_account_editor_new ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
#18 0x05be461c in em_account_editor_new ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
#19 0x0085ca29 in g_cclosure_marshal_VOID__STRING ()
   from /lib/libgobject-2.0.so.0
#20 0x0084ff0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#21 0x00860e83 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
#22 0x0086237f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#23 0x00862539 in g_signal_emit () from /lib/libgobject-2.0.so.0
#24 0x00a965fe in gtk_cell_renderer_toggle_new ()
   from /usr/lib/libgtk-x11-2.0.so.0
#25 0x00a8d3d0 in gtk_cell_renderer_activate ()
   from /usr/lib/libgtk-x11-2.0.so.0
#26 0x00c58f64 in gtk_tree_view_column_focus_cell ()
   from /usr/lib/libgtk-x11-2.0.so.0
#27 0x00c5929f in gtk_tree_view_column_cell_is_visible ()
   from /usr/lib/libgtk-x11-2.0.so.0
#28 0x00c55482 in gtk_tree_view_get_hadjustment ()
   from /usr/lib/libgtk-x11-2.0.so.0
#29 0x00b540c0 in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib/libgtk-x11-2.0.so.0
#30 0x0084e6f9 in g_value_set_static_boxed () from /lib/libgobject-2.0.so.0
#31 0x0084ff0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#32 0x008614d3 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
#33 0x00862147 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#34 0x00862539 in g_signal_emit () from /lib/libgobject-2.0.so.0
#35 0x00c68118 in gtk_widget_get_default_style ()
   from /usr/lib/libgtk-x11-2.0.so.0
#36 0x00b4d563 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#37 0x00b4e767 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#38 0x001420ea in gdk_add_client_message_filter ()
   from /usr/lib/libgdk-x11-2.0.so.0
#39 0x007ca342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#40 0x007cd31f in g_main_context_check () from /lib/libglib-2.0.so.0
#41 0x007cd6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#42 0x02792a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#43 0x0805d7fa in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#44 0x00503f2c in __libc_start_main () from /lib/libc.so.6
#45 0x0804f221 in ?? ()

Thread 9 (Thread -1234826352 (LWP 3146)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x006661a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x007ad642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x02d2b5ea in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x02d2bc59 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#5  0x006623db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x005bb14e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 8 (Thread -1245316208 (LWP 3150)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005b15e3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x007cd353 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x007cd6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x026a5624 in libnm_glib_init () from /usr/lib/libnm_glib.so.0
No symbol table info available.
#5  0x007e7fcf in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x006623db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x005bb14e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 7 (Thread -1256203376 (LWP 3152)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x006661a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x007ad642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x02d2b5ea in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x02d2bc59 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#5  0x006623db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x005bb14e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 6 (Thread -1266693232 (LWP 3162)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x006661a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x007ad642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x02d2b5ea in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x02d2bc59 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#5  0x006623db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x005bb14e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 5 (Thread -1302160496 (LWP 3178)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x006661a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x007ad642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x02d2b5ea in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x02d2bc59 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#5  0x006623db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x005bb14e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread -1312650352 (LWP 3190)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x006661a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x007ad642 in g_async_queue_sort () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x02d2b5ea in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x02d2bc59 in e_msgport_reply () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#5  0x006623db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#6  0x005bb14e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread -1378993264 (LWP 6105)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005b15e3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x007cd353 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x007cd6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x025a52e0 in link_set_io_thread () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x007e7fcf in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x006623db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x005bb14e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1379259504 (LWP 6147)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005b15e3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x007cd353 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x007cd6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x02d547d2 in e_book_get_type () from /usr/lib/libebook-1.2.so.9
No symbol table info available.
#5  0x007e7fcf in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x006623db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x005bb14e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208890944 (LWP 3099)):
#0  0x0077c402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00669cbb in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x028a0cf6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x0805d9c9 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x030d5444 in camel_folder_summary_content_info_free ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#6  0x030d5723 in camel_message_info_free ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#7  0x030fde60 in camel_vee_store_new ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#8  0x030d5701 in camel_message_info_free ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#9  0x030d6b11 in camel_folder_summary_clear ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#10 0x030d8e52 in camel_folder_summary_new ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#11 0x030140a2 in camel_object_unref () from /usr/lib/libcamel-1.2.so.0
No symbol table info available.
#12 0x030ddb52 in camel_folder_construct ()
   from /usr/lib/libcamel-provider-1.2.so.8
No symbol table info available.
#13 0x030140a2 in camel_object_unref () from /usr/lib/libcamel-1.2.so.0
No symbol table info available.
#14 0x05c2804f in mail_component_get_type ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#15 0x05c29208 in mail_component_remove_store ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#16 0x05c292f6 in mail_component_remove_store_by_uri ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#17 0x05be3f2c in em_account_editor_new ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#18 0x05be461c in em_account_editor_new ()
   from /usr/lib/evolution/2.8/components/libevolution-mail.so
No symbol table info available.
#19 0x0085ca29 in g_cclosure_marshal_VOID__STRING ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x0084ff0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x00860e83 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x0086237f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x00862539 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#24 0x00a965fe in gtk_cell_renderer_toggle_new ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#25 0x00a8d3d0 in gtk_cell_renderer_activate ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#26 0x00c58f64 in gtk_tree_view_column_focus_cell ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x00c5929f in gtk_tree_view_column_cell_is_visible ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#28 0x00c55482 in gtk_tree_view_get_hadjustment ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#29 0x00b540c0 in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#30 0x0084e6f9 in g_value_set_static_boxed () from /lib/libgobject-2.0.so.0
No symbol table info available.
#31 0x0084ff0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#32 0x008614d3 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#33 0x00862147 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#34 0x00862539 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#35 0x00c68118 in gtk_widget_get_default_style ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#36 0x00b4d563 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#37 0x00b4e767 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#38 0x001420ea in gdk_add_client_message_filter ()
   from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#39 0x007ca342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#40 0x007cd31f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#41 0x007cd6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#42 0x02792a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#43 0x0805d7fa in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#44 0x00503f2c in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#45 0x0804f221 in ?? ()
No symbol table info available.
#0  0x0077c402 in __kernel_vsyscall ()


Expected results:
For evolution to allow me to disable then re-enable the IMAP account without
crashing, end result being it correctly re-freshes the mail to be shown in the
right directories/folders within mail. 

Additional info:
Comment 1 Matthew Barnes 2006-12-06 09:52:12 EST
(In reply to comment #0)
> Everything within Evolution seems to be working great except for one item, 

Can I quote you on that?  :)

But seriously, thanks for the bug report.  I'll have a look at this.
Comment 3 Matthias Clasen 2006-12-11 23:26:36 EST
Easily reproducible crash.
Comment 4 Matthias Clasen 2006-12-12 09:45:27 EST
Created attachment 143395 [details]
a patch

Copying the NULL check from the similar code in em-account-prefs.c fixes the
crash. Does this look right, Matt ?
Comment 5 Bastien Nocera 2006-12-12 09:56:07 EST
There's the same bug in FC6.
Comment 6 Matthew Barnes 2006-12-12 12:10:32 EST
Looks right to me, although I'd like to understand why the source URL is coming
back NULL before sending this upstream.  Thanks Matthias.

This was working fine a few months ago so a recent change must've broken it.  I
confirmed that the problem still exists in upstream CVS HEAD, though sometimes I
see it lock up rather than crash.
Comment 7 Matthew Barnes 2006-12-12 18:36:15 EST
There's a lot of bug reports about this upstream.  Some are even a year old! 
Here's just a few of them.  I picked the ones that have useful backtraces.

I keep seeing camel_folder_summary_clear() in the backtraces, including the one
in comment #0.  Looks like a reference counting bug in Camel.

I want to investigate this further before claiming a fix.


http://bugzilla.gnome.org/show_bug.cgi?id=324168

http://bugzilla.gnome.org/show_bug.cgi?id=333316

http://bugzilla.gnome.org/show_bug.cgi?id=341603

http://bugzilla.gnome.org/show_bug.cgi?id=348315

http://bugzilla.gnome.org/show_bug.cgi?id=367021

http://bugzilla.gnome.org/show_bug.cgi?id=378098

http://bugzilla.gnome.org/show_bug.cgi?id=378323
Comment 8 Matthias Clasen 2006-12-13 10:52:23 EST
Even if this needs deeper investigation and upstream scrutiny, I would vote for 
putting my workaround in now, since it fixes an obvious and easily reproducable
crash.
Comment 9 Matthias Clasen 2006-12-13 15:22:34 EST
Fixed in evolution-2.8.0-27.el5
Comment 11 Xiaohong Wang 2006-12-14 04:16:38 EST
Couldn't reproduce this issue on RHEL5-Client-20061207.0 with 
evolution-2.8.0-22
evolution-connector-2.8.0-3
evolution-data-server-1.8.0-13
evolution-webcal-2.7.1-6

And also couldn't reproduce it after downgrade evolution to evolution-2.8.0-11.el5.
I did following test:
1. Add an IMAP account 
2. go to Edit -> Preferences, Disable/Enable the account
   (also I tried right clicking on an account and hitting Disable)

no crash :(
Comment 12 Xiaohong Wang 2006-12-18 22:23:34 EST
Verified in evolution-2.8.0-28.el5 (RHEL5-Client-20061214.0/tree-i386/Client),
couldn't reproduce the crash, so resolve the bug first. Pls feel free to reopen
it if you get the same problem again. 
Thx.

Note You need to log in before you can comment on or make changes to this bug.